# Number

A numeric value in double precision floating-point format.

## Syntax

A Number is defined by specifying the 'name' in double-quotes ("), followed by a colon (:), followed by the value. The value has an integer component that may be prefixed with an optional minus sign, which may be followed by a fraction part and/or an exponent part.

A fraction part is a decimal point followed by one or more digits.

An exponent part begins with the letter E in upper or lowercase, which may be followed by a plus or minus sign. The E and optional sign are followed by one or more digits.

Note: Key/value pairs are separated by a comma (',') character.

Note: Leading zeros are not allowed.

Note: Hexidecimal and Octal forms are not allowed.

## Examples

    "age": 25,
    "price": 123.45,
    "Area":123.45e2